# -*- coding: utf-8 -*-

from zope.app.form.interfaces import WidgetInputError

def error_on_field(form, field, error, errors = []):
    """
    Set an error on a formlib field
    """
    widget = form.widgets.get(field)
    error = WidgetInputError(widget.name,
                             widget.label,
                             error,)
    widget._error = error
    errors.append(error)
    return errors


